Bug 485455 - Fedora 11 rawhide kernel pauses at "waiting for hardware to initialize" during pxe boot
Fedora 11 rawhide kernel pauses at "waiting for hardware to initialize" durin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-02-13 11:31 EST by David Johnston
Modified: 2013-01-30 23:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Johnston 2009-02-13 11:31:48 EST
Description of problem:
Fedora 11 alpha kernel sometimes pauses for 2 minutes at "waiting for hardware to initialize" during a pxe boot.

This is not a hang, boot will resume normally after 2 minutes.

I've filed this under "udev" as a guess, but it could be something else.

Version-Release number of selected component (if applicable):
Here are the file sizes and dates of the kernels I tested:
18727337 Feb 10 10:02 initrd.img
 2930496 Feb 10 10:01 vmlinuz

19352630 Feb 12 03:08 initrd.img
 2951056 Feb 12 03:08 vmlinuz

How reproducible:
Problem is not easily reproduced, the pause does not happen at every boot.  Could this be a udev race?

The same hardware boots 2.6.27.12-78.2.8.fc9.x86_64 and 2.6.27.9-159.fc10.x86_64 kernels without problems, verified after rawhide boot failed.

Steps to Reproduce:
1. set up PXE environment
=========================
cd /tftpboot/f11
wget http://kojipkgs.fedoraproject.org/mash/rawhide-20090212/development/x86_64/os/images/pxeboot/initrd.img
wget http://kojipkgs.fedoraproject.org/mash/rawhide-20090212/development/x86_64/os/images/pxeboot/vmlinuz

/tftpboot/pxelinux.cfg/lab1:
prompt 0
default f11
label f11
  kernel fc11/vmlinuz
  append initrd=fc11/initrd.img 
=========================
2. Configure machine BIOS to use PXE boot
=========================
3. Boot machine
=========================

Actual results:
Machine may or may not appear to hang.  In 8 tests, it paused in roughly half of the tests.  The last few lines on the tty1 at the  pause are:

mounting /tmp as ramfs ... done
running install...
running /sbin/loader
Detecting hardware
waiting for hardware to initialize


Expected results:
Kernel should boot normally, pop up the Choose a Language in 15 to 20 seconds

Additional info:
When the kernel boots normally, it takes 15 seconds from "Loading vmlinuz" to "Choose a Language" (hand timed with wall clock).

When it does not, the pause is 2 minutes.
Comment 1 David Johnston 2009-02-14 13:48:33 EST
http://kojipkgs.fedoraproject.org/mash/rawhide-20090214/development/x86_64/os/images/pxeboot/vmlinuz booted successfully 6 times out of 6.
Comment 2 James Laska 2009-06-02 10:45:02 EDT
Are you still seeing this issue?
Comment 3 Bug Zapper 2009-06-09 07:21:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ignacio Valdes 2009-06-16 18:12:28 EDT
I am getting this on attempted installation of production Fedora 11. This is on a Sempron machine that is currently running Fedora 10 without problems. 

I put the Fedora 11 install DVD in, start up the machine and select install the operating system and it hangs at 'waiting for hardware to initialize' USB i/o in BIOS is enabled. 

Thanks!

-- IV
Comment 5 Dale Bewley 2009-06-16 18:54:08 EDT
I see something similar with F11 final on Sun x4440 4xQuad-core Opteron w/ 64G. In my case the hang seems permanent. I've left it hanging for up to 2 hours.

I'm not using PXE. I'm booting from DVD and referencing a kickstart over http.

I tried setting ACPI away from v1 to v3 in the BIOS, but it didn't seem to change anything. I can only rarely get past the waiting for hardware to initialize message. The last line on VT4 when it hangs is:

 <6> ata12: SATA link down (SStatus 0 SControl 300)

A ^c does kill anaconda and reboot the system. If it does not hang on boot the line following above on VT4 is:

 <29> _datestamp_ NetworkManager: <info> starting...
Comment 6 Dale Bewley 2009-07-22 17:32:50 EDT
I found a workaround for my problem.

Fix was to go into BIOS under advanced ACPI settings and disable WHEA. Windows Hardware Error Architecture.  

System no longer hangs at "waiting for hardware to initialize..." message.
Comment 7 Robert Julius 2009-11-06 04:56:58 EST
I have similar problem when installing Fedora 11. Installation hang after message 'waiting for hardware to initialize'.

Really, I don't know how to use kickstart. Beside that, in my BIOS configuration, there is no option about enable-disable WHEA.

Please, can you tell me how to troubleshoot this installation. How to use kickstart?

I'm really need your help... Thanks before...
Comment 8 Robert Julius 2009-11-06 04:59:03 EST
I have similar problem when installing Fedora 11. Installation hang after message 'waiting for hardware to initialize'.

Really, I don't know how to use kickstart. Beside that, in my BIOS configuration, there is no option about enable-disable WHEA.

Please, can you tell me how to troubleshoot this installation. How to use kickstart?

I'm really need your help... Thanks before...
Comment 9 Bug Zapper 2010-04-27 08:57:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:16:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.